HermesProxyW Class Reference

`#include <HermesProxyW.h>`

## Public Member Functions

| HermesProxyW (int RxPre, const char *Intfc, const char *ClkS, int AlexRA, int AlexTA, int AlexHPF, int AlexRPF, const char *MACAddr)
| ~HermesProxyW ()
void | Stop ()
void | Start ()
void | SendTxIQ ()
void | BuildControlRegs (unsigned, RawBuf_t)
void | PutTxIQ ()
void | ScheduleTxFrame ()
RawBuf_t | GetNextTxBuf ()
void | UpdateHermes ()
void | ReceiveRxIQ (unsigned char *)
IQBuf_t | GetNextRxWriteBuf ()
IQBuf_t | GetNextRxReadBuf ()
IQBuf_t | GetCurrentRxReadBuf ()
IQBuf_t | GetCurrentRxWriteBuf ()
bool | RxReadBufAligned ()
bool | RxWriteBufAligned ()
int | RxBufFillCount ()
void | PrintRawBuf (RawBuf_t)

## Public Attributes

unsigned | Receive0Frequency
unsigned | Receive1Frequency
unsigned | TransmitFrequency
int | NumReceivers
int | RxSampleRate
unsigned char | TxDrive
unsigned char | RxAtten
unsigned int | ClockSource
unsigned char | AlexRxAnt
unsigned char | AlexTxAnt
unsigned char | AlexRxHPF
unsigned char | AlexTxLPF
int | PTTMode
bool | RxPreamp
bool | ADCdither
bool | ADCrandom
bool | ADCoverload
bool | Duplex
unsigned char | HermesVersion
unsigned int | AIN1
unsigned int | AIN2
unsigned int | AIN3
unsigned int | AIN4
unsigned int | AIN5
unsigned int | AIN6
unsigned int | AlexRevPwr
unsigned int | SlowCount
int | Verbose
bool | TxStop
bool | PTTOffMutesTx
bool | PTTOnMutesRx
char | interface [16]
char | mactarget [18]
unsigned int | metis_entry

## Constructor & Destructor Documentation

## HermesProxyW()

HermesProxyW::HermesProxyW | ( | int | RxPre,
|  | const char * | Intfc,
|  | const char * | ClkS,
|  | int | AlexRA,
|  | int | AlexTA,
|  | int | AlexHPF,
|  | int | AlexRPF,
|  | const char * | MACAddr )

## ~HermesProxyW()

HermesProxyW::~HermesProxyW | ( |  | ) |

## Member Function Documentation

## BuildControlRegs()

void HermesProxyW::BuildControlRegs | ( | unsigned | ,
|  | RawBuf_t | )

## GetCurrentRxReadBuf()

IQBuf_t HermesProxyW::GetCurrentRxReadBuf | ( |  | ) |

## GetCurrentRxWriteBuf()

IQBuf_t HermesProxyW::GetCurrentRxWriteBuf | ( |  | ) |

## GetNextRxReadBuf()

IQBuf_t HermesProxyW::GetNextRxReadBuf | ( |  | ) |

## GetNextRxWriteBuf()

IQBuf_t HermesProxyW::GetNextRxWriteBuf | ( |  | ) |

## GetNextTxBuf()

RawBuf_t HermesProxyW::GetNextTxBuf | ( |  | ) |

## PrintRawBuf()

void HermesProxyW::PrintRawBuf | ( | RawBuf_t |  | ) |

## PutTxIQ()

void HermesProxyW::PutTxIQ | ( |  | ) |

## ReceiveRxIQ()

void HermesProxyW::ReceiveRxIQ | ( | unsigned char * |  | ) |

## RxBufFillCount()

int HermesProxyW::RxBufFillCount | ( |  | ) |

## RxReadBufAligned()

bool HermesProxyW::RxReadBufAligned | ( |  | ) |

## RxWriteBufAligned()

bool HermesProxyW::RxWriteBufAligned | ( |  | ) |

## ScheduleTxFrame()

void HermesProxyW::ScheduleTxFrame | ( |  | ) |

## SendTxIQ()

void HermesProxyW::SendTxIQ | ( |  | ) |

## Start()

void HermesProxyW::Start | ( |  | ) |

## Stop()

void HermesProxyW::Stop | ( |  | ) |

## UpdateHermes()

void HermesProxyW::UpdateHermes | ( |  | ) |

## Member Data Documentation

## ADCdither

bool HermesProxyW::ADCdither

## ADCoverload

bool HermesProxyW::ADCoverload

## ADCrandom

bool HermesProxyW::ADCrandom

## AIN1

unsigned int HermesProxyW::AIN1

## AIN2

unsigned int HermesProxyW::AIN2

## AIN3

unsigned int HermesProxyW::AIN3

## AIN4

unsigned int HermesProxyW::AIN4

## AIN5

unsigned int HermesProxyW::AIN5

## AIN6

unsigned int HermesProxyW::AIN6

## AlexRevPwr

unsigned int HermesProxyW::AlexRevPwr

## AlexRxAnt

unsigned char HermesProxyW::AlexRxAnt

## AlexRxHPF

unsigned char HermesProxyW::AlexRxHPF

## AlexTxAnt

unsigned char HermesProxyW::AlexTxAnt

## AlexTxLPF

unsigned char HermesProxyW::AlexTxLPF

## ClockSource

unsigned int HermesProxyW::ClockSource

## Duplex

bool HermesProxyW::Duplex

## HermesVersion

unsigned char HermesProxyW::HermesVersion

## interface

char HermesProxyW::interface[16]

## mactarget

char HermesProxyW::mactarget[18]

## metis_entry

unsigned int HermesProxyW::metis_entry

## NumReceivers

int HermesProxyW::NumReceivers

## PTTMode

int HermesProxyW::PTTMode

## PTTOffMutesTx

bool HermesProxyW::PTTOffMutesTx

## PTTOnMutesRx

bool HermesProxyW::PTTOnMutesRx

## Receive0Frequency

unsigned HermesProxyW::Receive0Frequency

## Receive1Frequency

unsigned HermesProxyW::Receive1Frequency

## RxAtten

unsigned char HermesProxyW::RxAtten

## RxPreamp

bool HermesProxyW::RxPreamp

## RxSampleRate

int HermesProxyW::RxSampleRate

## SlowCount

unsigned int HermesProxyW::SlowCount

## TransmitFrequency

unsigned HermesProxyW::TransmitFrequency

## TxDrive

unsigned char HermesProxyW::TxDrive

## TxStop

bool HermesProxyW::TxStop

## Verbose

int HermesProxyW::Verbose

The documentation for this class was generated from the following file:

- HermesProxyW.h